diff options
author | Robin H. Johnson <robbat2@gentoo.org> | 2015-08-08 13:49:04 -0700 |
---|---|---|
committer | Robin H. Johnson <robbat2@gentoo.org> | 2015-08-08 17:38:18 -0700 |
commit | 56bd759df1d0c750a065b8c845e93d5dfa6b549d (patch) | |
tree | 3f91093cdb475e565ae857f1c5a7fd339e2d781e /media-sound/aumix/files | |
download | gentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.tar.gz gentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.tar.bz2 gentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.zip |
proj/gentoo: Initial commit
This commit represents a new era for Gentoo:
Storing the gentoo-x86 tree in Git, as converted from CVS.
This commit is the start of the NEW history.
Any historical data is intended to be grafted onto this point.
Creation process:
1. Take final CVS checkout snapshot
2. Remove ALL ChangeLog* files
3. Transform all Manifests to thin
4. Remove empty Manifests
5. Convert all stale $Header$/$Id$ CVS keywords to non-expanded Git $Id$
5.1. Do not touch files with -kb/-ko keyword flags.
Signed-off-by: Robin H. Johnson <robbat2@gentoo.org>
X-Thanks: Alec Warner <antarus@gentoo.org> - did the GSoC 2006 migration tests
X-Thanks: Robin H. Johnson <robbat2@gentoo.org> - infra guy, herding this project
X-Thanks: Nguyen Thai Ngoc Duy <pclouds@gentoo.org> - Former Gentoo developer, wrote Git features for the migration
X-Thanks: Brian Harring <ferringb@gentoo.org> - wrote much python to improve cvs2svn
X-Thanks: Rich Freeman <rich0@gentoo.org> - validation scripts
X-Thanks: Patrick Lauer <patrick@gentoo.org> - Gentoo dev, running new 2014 work in migration
X-Thanks: Michał Górny <mgorny@gentoo.org> - scripts, QA, nagging
X-Thanks: All of other Gentoo developers - many ideas and lots of paint on the bikeshed
Diffstat (limited to 'media-sound/aumix/files')
-rw-r--r-- | media-sound/aumix/files/aumix.rc6 | 42 |
1 files changed, 42 insertions, 0 deletions
diff --git a/media-sound/aumix/files/aumix.rc6 b/media-sound/aumix/files/aumix.rc6 new file mode 100644 index 000000000000..f3f3d23645be --- /dev/null +++ b/media-sound/aumix/files/aumix.rc6 @@ -0,0 +1,42 @@ +#!/sbin/runscript +# Copyright 1999-2004 Gentoo Foundation +# Distributed under the terms of the GNU General Public License v2 +# $Id$ + +depend() { + use modules hotplug coldplug alsasound +} + +checkconfig() { + if ! grep -q -E 'sound|OSS|sparcaudio' /proc/devices && [ ! -d /proc/asound ] ; then + eerror "Sound support has not been compiled into the kernel," + eerror "or is disabled. Please check that the correct modules" + eerror "is loaded." + return 1 + fi + # /dev/mixer can be a symlink + if [ ! -e /dev/mixer ] ; then + eerror "/dev/mixer does not exist, please create it, or load the" + eerror "correct modules to enable your card's mixer" + return 1 + fi +} + +start() { + checkconfig || return 1 + if [ -f /etc/aumixrc ] ; then + ebegin "Loading Mixer settings" + /usr/bin/aumix -f /etc/aumixrc -L >/dev/null 2>&1 + else + ebegin "Setting Mixer settings" + /usr/bin/aumix -v75 -c75 -w75 >/dev/null 2>&1 + fi + eend $? +} + +stop() { + checkconfig || return 1 + ebegin "Saving Mixer settings" + /usr/bin/aumix -f /etc/aumixrc -S >/dev/null 2>&1 + eend $? +} |